import { browser, protractor } from "protractor";

describe("App test", () => {
    it("checks home page", async () => {
        await browser.get("data:");
        await browser.get("#!/");
        const title = browser.$(".App__title");
        const text = browser.$(".App__intro");
        const waitMessage = `Could not wait until element "${title.locator()}" is present`;
        await browser.wait(protractor.ExpectedConditions.presenceOf(title), 1500, waitMessage);

        await expect(title.getText()).toBe("Welcome to React");
        await expect(text.getText()).toBe("To get started, edit src/App.tsx and save to reload.");
    });
});
